Summary: INN, the InterNet News System (news server)
Name: inn
Version: 2.2
Release: 1
Copyright: distributable
Group: Networking/Daemons
Source: ftp://ftp.isc.org/isc/inn/%{name}-%{version}.tar.gz
Url: http://www.isc.org/inn.html
Source1: inn-default-active
Source2: inn-default-distributions
Source3: inn-default-newsgroups
Source4: inn-cron-expire
Source5: inn-cron-rnews
Source6: inn-etc-nnrp.access
Source7: inn-cron-nntpsend
Source9: news.init
Patch0: inn-2.2-cycbuff.diff
Patch1: inn-2.2-innconf.diff
Patch2: inn-2.2-innreport.diff
Patch3: inn-2.2-nnrpaccess.diff
Patch4: inn-2.2-scoreboard.diff
Packager: Ian Macdonald <ianmacd@xs4all.nl>
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Prereq: /sbin/chkconfig
Requires: cleanfeed
Summary(de): INN, das InterNet News System (News-Server)
Summary(fr): INN, le systme InterNet News (serveur de news)
Summary(tr): InterNet Haber Sistemi (haber sunucu)

%changelog
* Fri Jan 22 1999  Ian Macdonald <ian.macdonald@quicknet.nl>

- upgraded to 2.2

* Tue Jan 12 1999  Ian Macdonald <ian.macdonald@quicknet.nl>

- built without tagged hash
- upgraded to STABLE_2_2-1999-01-11_03-02

* Mon Jan 11 1999  Ian Macdonald <ian.macdonald@quicknet.nl>

- upgraded to STABLE_2_2-1999-01-10_03-02

* Wed Dec 7 1998  Ian Macdonald <ian.macdonald@quicknet.nl>

- updated to 2.2b2
- missing files added to file list (cnfsstat, mail2news, etc.)
- innshellvars.csh removed (obsolete)
- minor spec file changes

%description
INN is a news server, which can be set up to handle USENET news, as well
as private "newsfeeds".  There is a *LOT* of information about setting
up INN in /usr/doc -- read it. 

%package devel
Summary: INN Library
Group: Development/Libraries
Summary(de): INN-Library 
Summary(fr): Bibliothque INN
Summary(tr): INN kitapl

%description devel
This library is needed by several programs that interface to INN, such as
newsgate or tin.

%package -n inews
Summary: Inews program (used for posting by inn and trn)
Group: Networking/News
Summary(de): Inews-Programm (fr die Zustellung mit inn und trn) 
Summary(fr): Programme inews (utilis par inn et trn pour poster)
Summary(tr): Haber biimlendirme program

%description -n inews
The inews program is used by some news readers to post news.
It does some consistency checking and header reformatting,
and forwards the article on to the news server specified in
inn.conf.

%description -l de -n inews
Das Programm 'inews' wird von manchen Newsreadern zum Senden
von Nachrichten verwendet. Es fhrt eine Konsistenzprfung und Header-Neuformatierung aus und leitet die Nachricht an den in 'inn.conf' angegebenen News-Server weiter.


%description -l de devel
Diese Library wird von mehreren Programmen bentigt, die mit INN 
kommunizieren, etwa newsgate oder tin. 

%description -l fr -n inews
Le programme inews est utilis par certains lecteurs de news pour
poster les articles. Il effectue des vrifications et un reformatage
des en-ttes et fait suivre l'article au serveur de news spcifi
dans inn.conf.

%description -l fr devel
Cette bibliothque est ncessaire  plusieurs programmes qui s'interfacent
avec INN, comme newsgate ou tin.

%description -l tr -n inews
inews program baz haber okuyucular tarafndan haber yollamak amacyla
kullanlr.  Program baz gvenlik denetimleri ve balk biimlendirmesi
yaparak ve inn.conf dosyasnda belirtilen haber sunucuya makaleyi yollar.

%description -l tr devel
INN ile arayz gerektiren programlar iin (newsgate, tin gibi) gereken bir
kitaplktr.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
touch innfeed/*.[ly]

CFLAGS="$RPM_OPT_FLAGS" \
sh configure \
	--prefix=/usr/lib/news \
	--mandir=/usr/man \
	--with-news-user=news \
	--with-news-group=news \
	--with-news-master=news \
	--with-db-dir=/var/lib/news \
	--with-etc-dir=/etc/news \
	--with-log-dir=/var/log/news \
	--with-run-dir=/var/run/news \
	--with-spool-dir=/var/spool/news \
	--with-lib-dir=/usr/lib/news/lib \
	--with-tmp-path=/var/spool/news/in.coming/tmp \
	--with-perl \
	--with-sendmail=/usr/lib/sendmail \
	--enable-merge-to-groups \
	--enable-pgp-verify
#	--enable-tagged-hash
make all 

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,sbin,include}
mkdir -p $RPM_BUILD_ROOT/etc/news
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,4,5,6}.d
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,3,5,8}
mkdir -p $RPM_BUILD_ROOT/usr/lib/news
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/lib
mkdir -p $RPM_BUILD_ROOT/var/spool/news/in.coming/bad
mkdir -p $RPM_BUILD_ROOT/var/spool/news/in.coming/tmp
mkdir -p $RPM_BUILD_ROOT/var/spool/news/cycbuffs
mkdir -p $RPM_BUILD_ROOT/var/spool/news/news.archive
mkdir -p $RPM_BUILD_ROOT/var/spool/news/over.view
mkdir -p $RPM_BUILD_ROOT/var/spool/news/uni.over
mkdir -p $RPM_BUILD_ROOT/var/spool/news/out.going
mkdir -p $RPM_BUILD_ROOT/var/lib/news/backoff
mkdir -p $RPM_BUILD_ROOT/var/lock/news
mkdir -p $RPM_BUILD_ROOT/var/log/news/OLD
mkdir -p $RPM_BUILD_ROOT/var/run/news

chown -R news.news $RPM_BUILD_ROOT/usr/lib/news \
	$RPM_BUILD_ROOT/var/lib/news \
	$RPM_BUILD_ROOT/var/spool/news \
	$RPM_BUILD_ROOT/var/log/news $RPM_BUILD_ROOT/var/run/news \
        $RPM_BUILD_ROOT/etc/news

chmod -R 775 $RPM_BUILD_ROOT/usr/lib/news $RPM_BUILD_ROOT/var/spool/news \
        $RPM_BUILD_ROOT/var/log/news $RPM_BUILD_ROOT/var/run/news \
        $RPM_BUILD_ROOT/etc/news

make DESTDIR="$RPM_BUILD_ROOT" install

install -m 0644 lib/libinn.a $RPM_BUILD_ROOT/usr/lib
install -m 0644 storage/libstorage.a $RPM_BUILD_ROOT/usr/lib
install -m 0644 include/configdata.h $RPM_BUILD_ROOT/usr/include
install -m 0644 include/dbz.h $RPM_BUILD_ROOT/usr/include
install -m 0644 include/libinn.h $RPM_BUILD_ROOT/usr/include
install -m 0644 storage/interface.h $RPM_BUILD_ROOT/usr/include
install -m 0644 storage/methods.h $RPM_BUILD_ROOT/usr/include
install -m 0644 storage/overview.h $RPM_BUILD_ROOT/usr/include

install -m 0750 $RPM_SOURCE_DIR/news.init $RPM_BUILD_ROOT/etc/rc.d/init.d/innd
install -m 0440 -o news -g news samples/nntpsend.ctl $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/default $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/docheckgroups $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/innreport_inn.pm $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/innshellvars $RPM_BUILD_ROOT/etc/news
#install -m 0440 -o news -g news samples/innshellvars.csh $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/innshellvars.pl $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/innshellvars.tcl $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/send-ihave $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/send-nntp $RPM_BUILD_ROOT/etc/news
install -m 0440 -o news -g news samples/send-uucp $RPM_BUILD_ROOT/etc/news

ln -sf /usr/lib/news/bin/ctlinnd $RPM_BUILD_ROOT/usr/sbin/ctlinnd
ln -sf ../init.d/innd $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K25innd
ln -sf ../init.d/innd $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K25innd
ln -sf ../init.d/innd $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S95innd
ln -sf ../init.d/innd $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S95innd
ln -sf ../init.d/innd $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S95innd
ln -sf ../init.d/innd $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K25innd

# Fail silently on all these 'strips'
strip $RPM_BUILD_ROOT/usr/sbin/* ||:
strip $RPM_BUILD_ROOT/usr/lib/news/bin/* ||:
strip $RPM_BUILD_ROOT/usr/lib/news/bin/rnews.libexec/* ||:

cp /dev/null $RPM_BUILD_ROOT/var/lib/news/subscriptions
chown news.news $RPM_BUILD_ROOT/var/lib/news/subscriptions
chmod 644 $RPM_BUILD_ROOT/var/lib/news/subscriptions

install -m 644 -o news -g news $RPM_SOURCE_DIR/inn-default-active \
        $RPM_BUILD_ROOT/var/lib/news/active
install -m 644 -o news -g news $RPM_SOURCE_DIR/inn-default-distributions \
        $RPM_BUILD_ROOT/var/lib/news/distributions
install -m 644 -o news -g news $RPM_SOURCE_DIR/inn-default-newsgroups \
        $RPM_BUILD_ROOT/var/lib/news/newsgroups

mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly $RPM_BUILD_ROOT/etc/cron.daily
install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/inn-cron-expire \
        $RPM_BUILD_ROOT/etc/cron.daily/inn-cron-expire
install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/inn-cron-rnews \
        $RPM_BUILD_ROOT/etc/cron.daily/inn-cron-rnews
install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/inn-cron-nntpsend \
        $RPM_BUILD_ROOT/etc/cron.hourly/inn-cron-nntpsend
install -m440 -o news -g news $RPM_SOURCE_DIR/inn-etc-nnrp.access \
        $RPM_BUILD_ROOT/etc/news/nnrp.access

cd $RPM_BUILD_ROOT/etc/news
rm -f .news.daily
touch .news.daily
chown news.news .news.daily 
chmod 644 .news.daily
chmod 775 $RPM_BUILD_ROOT/var/lib/news

chown root.news $RPM_BUILD_ROOT/usr/lib/news/bin/inndstart
chmod 4750 $RPM_BUILD_ROOT/usr/lib/news/bin/inndstart
chgrp news $RPM_BUILD_ROOT/usr/lib/news/bin/rnews

mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf ../lib/news/bin/rnews $RPM_BUILD_ROOT/usr/bin/rnews
chmod 755 $RPM_BUILD_ROOT/usr/lib/news/bin/rnews

ln -sf ../lib/news/bin/inews $RPM_BUILD_ROOT/usr/bin/inews

umask 002
touch $RPM_BUILD_ROOT/var/log/news/news.notice
touch $RPM_BUILD_ROOT/var/log/news/news.crit
touch $RPM_BUILD_ROOT/var/log/news/news.err
touch $RPM_BUILD_ROOT/var/lib/news/active.times
chown news.news $RPM_BUILD_ROOT/var/lib/news/active.times
chown -R news.news $RPM_BUILD_ROOT/var/log/news

mv $RPM_BUILD_ROOT/usr/lib/news/bin/rc.news $RPM_BUILD_ROOT/etc/rc.d/rc.news

ln -sf /etc/news/innshellvars $RPM_BUILD_ROOT/usr/lib/news/lib/innshellvars
ln -sf /etc/news/innshellvars.pl $RPM_BUILD_ROOT/usr/lib/news/lib/innshellvars.pl
ln -sf /etc/news/innshellvars.csh $RPM_BUILD_ROOT/usr/lib/news/lib/innshellvars.csh
ln -sf /etc/news/innshellvars.tcl $RPM_BUILD_ROOT/usr/lib/news/lib/innshellvars.tcl

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 002
touch /var/log/news/news.notice
touch /var/log/news/news.crit
touch /var/log/news/news.err
if [ -f /var/lib/news/history ]; then
	cd /var/lib/news
	/usr/lib/news/bin/makehistory -i -r
	for i in dir hash index pag; do
		[ -f history.n.$i ] && mv history.n.$i history.$i
	done
	chown news.news history.*
	chmod 644 history.*
else
	cd /var/lib/news
	cp /dev/null history
	/usr/lib/news/bin/makehistory -i
	for i in dir hash index pag; do
		[ -f history.n.$i ] && mv history.n.$i history.$i
	done
	chown news.news history history.*
	chmod 644 history history.*
fi
[ -f /var/lib/news/active.times ] || {
    touch /var/lib/news/active.times
    chown news.news /var/lib/news/active.times
}
chown -R news.news /var/log/news*
if [ -f /etc/syslog.conf ]; then
  if ! grep -q INN /etc/syslog.conf; then
    sed 's/mail.none;/mail.none;news.none;/' < /etc/syslog.conf > /etc/syslog.conf.inn
    mv /etc/syslog.conf.inn /etc/syslog.conf

    echo '' \
       >> /etc/syslog.conf
    echo '#' \
       >> /etc/syslog.conf
    echo '# INN' \
       >> /etc/syslog.conf
    echo '#' \
       >> /etc/syslog.conf
    echo 'news.=crit                                        /var/log/news/news.crit'   >> /etc/syslog.conf
    echo 'news.=err                                         /var/log/news/news.err'    >> /etc/syslog.conf
    echo 'news.notice                                       /var/log/news/news.notice' >> /etc/syslog.conf
    fi
  if [ -f /var/run/syslog.pid ]; then
    kill -HUP `cat /var/run/syslog.pid` 2> /dev/null ||:
  fi
else
  # syslog.conf does not exist

  echo "mail.none /var/log/messages" \
     >  /etc/syslog.conf.inn
  echo "" \
     >> /etc/syslog.conf.inn
  echo "# INN" \
     >> /etc/syslog.conf.inn
  echo "news.=crit                                      /var/log/news/news.crit"     >> /etc/syslog.conf.inn
  echo "news.=err                                       /var/log/news/news.err"      >> /etc/syslog.conf.inn
  echo "news.notice                                     /var/log/news/news.notice"   >> /etc/syslog.conf.inn
fi
if [ `cat /etc/news/inn.conf | grep '^server:' | wc -l` -lt 1 ]; then
  echo "server: `hostname -f`" >> /etc/news/inn.conf
fi

if [ `cat /etc/ld.so.conf | grep '^/usr/lib/news/lib' | wc -l` -lt 0 ]; then
  echo '/usr/lib/news/lib' >> /etc/ld.so.conf
fi
/sbin/ldconfig 

%files
%doc README README.perl_hook README.tcl_hook 
%doc ChangeLog CONTRIBUTORS COPYRIGHT HISTORY INSTALL NEWS

%dir /etc/news
%dir /usr/lib/news
%dir /usr/lib/news/bin
%dir /usr/lib/news/bin/control
%dir /usr/lib/news/bin/filter
%dir /usr/lib/news/bin/rnews.libexec
%dir /usr/lib/news/lib
%dir /var/lib/news
%dir /var/lib/news/backoff
%dir /var/log/news
%dir /var/log/news/OLD
%dir /var/run/news
%dir /var/spool/news
%dir /var/spool/news/cycbuffs
%dir /var/spool/news/in.coming
%dir /var/spool/news/in.coming/bad
%dir /var/spool/news/in.coming/tmp
%dir /var/spool/news/out.going
%dir /var/spool/news/news.archive
%dir /var/spool/news/over.view
%dir /var/spool/news/uni.over

%config /etc/cron.daily/inn-cron-expire
%config /etc/cron.daily/inn-cron-rnews
%config /etc/cron.hourly/inn-cron-nntpsend

%config /etc/news/actsync.cfg
%config /etc/news/actsync.ign
%config /etc/news/control.ctl
%config /etc/news/cycbuff.conf
%config /etc/news/default
%config /etc/news/distrib.pats
%config /etc/news/docheckgroups
%config /etc/news/expire.ctl
%config /etc/news/incoming.conf
%config /etc/news/inn.conf
%config /etc/news/innfeed.conf
%config /etc/news/innreport.conf
%config /etc/news/innreport_inn.pm
%config /etc/news/innshellvars
#%config /etc/news/innshellvars.csh
%config /etc/news/innshellvars.pl
%config /etc/news/innshellvars.tcl
%config /etc/news/innwatch.ctl
%config /etc/news/moderators
%config /etc/news/motd.news
%config /etc/news/news2mail.cf
%config /etc/news/newsfeeds
%config /etc/news/nnrp.access
%config /etc/news/nnrpd.track
%config /etc/news/nntpsend.ctl
%config /etc/news/overview.ctl
%config /etc/news/overview.fmt
%config /etc/news/passwd.nntp
%config /etc/news/send-ihave
%config /etc/news/send-nntp
%config /etc/news/send-uucp
%config /etc/news/storage.conf

%config /etc/rc.d/rc.news
%config /etc/rc.d/init.d/innd
%config(missingok) /etc/rc.d/rc0.d/K25innd
%config(missingok) /etc/rc.d/rc1.d/K25innd
%config(missingok) /etc/rc.d/rc2.d/S95innd
%config(missingok) /etc/rc.d/rc3.d/S95innd
%config(missingok) /etc/rc.d/rc5.d/S95innd
%config(missingok) /etc/rc.d/rc6.d/K25innd

%config /usr/lib/news/bin/parsecontrol

%config /etc/news/.news.daily
%config /var/lib/news/active
%config /var/lib/news/distributions
%config /var/lib/news/newsgroups
%config /var/lib/news/subscriptions

%config(missingok) /usr/lib/news/lib/innshellvars
#%config(missingok) /usr/lib/news/lib/innshellvars.csh
%config(missingok) /usr/lib/news/lib/innshellvars.pl
%config(missingok) /usr/lib/news/lib/innshellvars.tcl

/usr/bin/rnews
/usr/sbin/ctlinnd

/usr/lib/news/bin/actived
/usr/lib/news/bin/actmerge
/usr/lib/news/bin/actsync
/usr/lib/news/bin/actsyncd
/usr/lib/news/bin/archive
/usr/lib/news/bin/batcher
/usr/lib/news/bin/buffchan
/usr/lib/news/bin/cnfsstat
/usr/lib/news/bin/control/checkgroups
/usr/lib/news/bin/control/checkgroups.pl
/usr/lib/news/bin/control/ihave
/usr/lib/news/bin/control/ihave.pl
/usr/lib/news/bin/control/newgroup
/usr/lib/news/bin/control/newgroup.pl
/usr/lib/news/bin/control/rmgroup
/usr/lib/news/bin/control/rmgroup.pl
/usr/lib/news/bin/control/sendme
/usr/lib/news/bin/control/sendme.pl
/usr/lib/news/bin/control/sendsys
/usr/lib/news/bin/control/sendsys.pl
/usr/lib/news/bin/control/senduuname
/usr/lib/news/bin/control/senduuname.pl
/usr/lib/news/bin/control/version
/usr/lib/news/bin/control/version.pl
/usr/lib/news/bin/controlbatch
/usr/lib/news/bin/controlchan
/usr/lib/news/bin/convdate
/usr/lib/news/bin/crosspost
/usr/lib/news/bin/ctlinnd
/usr/lib/news/bin/cvtbatch
/usr/lib/news/bin/expire
/usr/lib/news/bin/expireindex
/usr/lib/news/bin/expireover
/usr/lib/news/bin/expirerm
/usr/lib/news/bin/fastrm
/usr/lib/news/bin/filechan
/usr/lib/news/bin/filter/filter.tcl
/usr/lib/news/bin/filter/filter_innd.pl
/usr/lib/news/bin/filter/filter_nnrpd.pl
/usr/lib/news/bin/filter/nnrpd_auth.pl
/usr/lib/news/bin/filter/startup.tcl
/usr/lib/news/bin/filter/startup_innd.pl
/usr/lib/news/bin/getlist
/usr/lib/news/bin/grephistory
/usr/lib/news/bin/inncheck
/usr/lib/news/bin/innconfval
/usr/lib/news/bin/innd
/usr/lib/news/bin/inndf
/usr/lib/news/bin/inndstart
/usr/lib/news/bin/innmail
/usr/lib/news/bin/innreport
/usr/lib/news/bin/innstat
/usr/lib/news/bin/innwatch
/usr/lib/news/bin/innxbatch
/usr/lib/news/bin/innxmit
/usr/lib/news/bin/mailpost
/usr/lib/news/bin/makeactive
/usr/lib/news/bin/makehistory
/usr/lib/news/bin/mod-active
/usr/lib/news/bin/news.daily
/usr/lib/news/bin/news2mail
/usr/lib/news/bin/newsrequeue
/usr/lib/news/bin/nnrpd
/usr/lib/news/bin/nntpget
/usr/lib/news/bin/nntpsend
/usr/lib/news/bin/overchan
/usr/lib/news/bin/pgpverify
/usr/lib/news/bin/prunehistory
/usr/lib/news/bin/pullnews
/usr/lib/news/bin/rnews
/usr/lib/news/bin/rnews.libexec/c7unbatch
/usr/lib/news/bin/rnews.libexec/decode
/usr/lib/news/bin/rnews.libexec/encode
/usr/lib/news/bin/rnews.libexec/gunbatch
/usr/lib/news/bin/scanlogs
/usr/lib/news/bin/scanspool
/usr/lib/news/bin/sendbatch
/usr/lib/news/bin/sendxbatches
/usr/lib/news/bin/shlock
/usr/lib/news/bin/shrinkfile
/usr/lib/news/bin/simpleftp
/usr/lib/news/bin/sm
/usr/lib/news/bin/tally.control
/usr/lib/news/bin/writelog

/usr/lib/news/bin/innfeed
/usr/lib/news/bin/startinnfeed
/usr/lib/news/bin/procbatch 

#/usr/lib/news/lib/libinn.la
#/usr/lib/news/lib/libinn.a
#/usr/lib/news/lib/libinn.so
#/usr/lib/news/lib/libinn.so.2
#/usr/lib/news/lib/libinn.so.2.0.0
#/usr/lib/news/lib/libstorage.a
#/usr/lib/news/lib/libstorage.so
#/usr/lib/news/lib/libstorage.so.2
#/usr/lib/news/lib/libstorage.so.2.0.0

/usr/man/man1/convdate.1
/usr/man/man1/getlist.1
/usr/man/man1/grephistory.1
/usr/man/man1/innconfval.1
/usr/man/man1/innfeed.1
/usr/man/man1/installit.1
/usr/man/man1/nntpget.1
/usr/man/man1/rnews.1
/usr/man/man1/shlock.1
/usr/man/man1/shrinkfile.1
/usr/man/man1/startinnfeed.1
/usr/man/man1/subst.1
/usr/man/man5/*
/usr/man/man8/*

/var/log/news/news.notice
/var/log/news/news.crit
/var/log/news/news.err
/var/lib/news/active.times

%files devel
/usr/include/*
/usr/lib/*.a
/usr/man/man3/*

%files -n inews
/usr/bin/inews
/usr/lib/news/bin/inews
/usr/man/man1/inews.1
